//
//  CustomMapStyle.swift
//  OrderScheduling
//
//  Created by 中道 on 2024/1/12.
//

import Foundation
import DDMAMapKit_Private

open class CustomMapStyle : NSObject {
    class func customMap(_ map: MAMapView) {
        let stylePath = Bundle.main.bundlePath.appending("/style.data")
        let data = NSData(contentsOfFile: stylePath)
        let options = MAMapCustomStyleOptions()
        options.styleData = data as? Data
        map.setCustomMapStyleOptions(options)
        map.customMapStyleEnabled = true
    }
}
